DROP VIEW WFDK_ReservaPlazos
GO

CREATE VIEW WFDK_ReservaPlazos
AS

SELECT rega.id_rega,
       rega.id_rese,
       fecha_plazo,  
	   porc = CONVERT(NUMERIC(18, 2), ROUND(rega.importe * 100 / CASE ISNULL(dbo.fRese_Importe_TOTAL(rese.nro_reserva), 0) + ISNULL(dbo.Rese_Importe_prepagado (rese.nro_reserva), 0)
																	  WHEN 0 THEN -1
																	  ELSE dbo.fRese_Importe_TOTAL(rese.nro_reserva) + ISNULL(dbo.Rese_Importe_prepagado (rese.nro_reserva), 0)
																	  END, 2)), 
	   rega.importe, 
	   pagado_mon_cont = SUM(CONVERT(NUMERIC(12, 2), COALESCE(dega.importe * CASE WHEN cont.id_mone = dega.id_mone THEN 1
																				  ELSE COALESCE(Cont.tasa_fija, mone.tasa) / dega.tasa
																			      END, 0.00))), 
	   diferencia = rega.importe - SUM(CONVERT(NUMERIC(12, 2), COALESCE(dega.importe * CASE WHEN cont.id_mone = dega.id_mone THEN 1
																							ELSE COALESCE(Cont.tasa_fija, mone.tasa) / dega.tasa
																					        END, 0.00))), 
	   cont.id_mone
FROM       hoterese rese
INNER JOIN hoterega rega  ON rese.id_rese = rega.id_rese
LEFT  JOIN hoteregl regl  ON rega.id_rega = regl.id_rega
LEFT  JOIN hotedega dega  ON regl.id_dega = dega.id_dega
INNER JOIN hotecont cont  ON rese.id_cont = cont.id_cont
INNER JOIN siclamon mone  ON cont.id_mone = mone.id_mone
LEFT  JOIN siclamon mone2 ON dega.id_mone = mone2.id_mone
GROUP BY nro_reserva, fecha_plazo, rega.importe, rega.id_rega, rega.id_rese, cont.id_mone